37 lines
1.3 KiB
Diff
37 lines
1.3 KiB
Diff
|
From c64a94caa98749ceb4fad3c551d8e389f508d6df Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Thu, 11 Dec 2014 15:46:21 +0100
|
||
|
Subject: [PATCH] 95fcoe: update fcoe interface check
|
||
|
|
||
|
The 'create' sysfs entry has been removed for newer fcoe modules,
|
||
|
so just check if the module directory exists.
|
||
|
|
||
|
References: bnc#877288
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
||
|
---
|
||
|
modules.d/95fcoe/parse-fcoe.sh | 5 +----
|
||
|
1 file changed, 1 insertion(+), 4 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
|
||
|
index 59de56f..9604503 100755
|
||
|
--- a/modules.d/95fcoe/parse-fcoe.sh
|
||
|
+++ b/modules.d/95fcoe/parse-fcoe.sh
|
||
|
@@ -20,14 +20,11 @@
|
||
|
|
||
|
|
||
|
# BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
|
||
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
||
|
+[ -d /sys/module/fcoe ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
||
|
|
||
|
modprobe bnx2fc >/dev/null 2>&1
|
||
|
udevadm settle --timeout=30
|
||
|
|
||
|
-# FCoE actually supported?
|
||
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
||
|
-
|
||
|
parse_fcoe_opts() {
|
||
|
local IFS=:
|
||
|
set $fcoe
|